PETSc version 3.15.5
Fix/Edit manual page

# DMClearLocalVectors

Destroys all the local vectors that have been stashed in this DM

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMClearLocalVectors(DM dm)

Collective on dm

### Input Parameter

| dm | - the dm

### See Also

DMCreateLocalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMLocalToLocalBegin(), DMLocalToLocalEnd(), DMLocalToLocalBegin(), DMCreateLocalVector(), DMRestoreLocalVector() VecStrideMax(), VecStrideMin(), VecStrideNorm()

### Level

developer

### Location

src/dm/interface/dmget.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages